## org.hibernate.metamodel.source.internal
Class JaxbHelper

    java.lang.Object
      org.hibernate.metamodel.source.internal.JaxbHelper

    public class JaxbHelper

extends Object

Helper class for unmarshalling xml configuration using StAX and JAXB.

Field Summary
`static String` `ASSUMED_ORM_XSD_VERSION`
`static String` `HBM_SCHEMA_NAME`
`static String` `ORM_1_SCHEMA_NAME`
`static String` `ORM_2_SCHEMA_NAME`

Constructor Summary
`JaxbHelper(MetadataSources metadataSources)`

Method Summary
`JaxbRoot` `unmarshal(Document document, Origin origin)`
`JaxbRoot` `unmarshal(InputStream stream, Origin origin)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASSUMED_ORM_XSD_VERSION

    public static final String ASSUMED_ORM_XSD_VERSION

See Also:
  Constant Field Values

### HBM_SCHEMA_NAME

    public static final String HBM_SCHEMA_NAME

See Also:
  Constant Field Values

### ORM_1_SCHEMA_NAME

    public static final String ORM_1_SCHEMA_NAME

See Also:
  Constant Field Values

### ORM_2_SCHEMA_NAME

    public static final String ORM_2_SCHEMA_NAME

See Also:
  Constant Field Values

Constructor Detail

### JaxbHelper

    public JaxbHelper(MetadataSources metadataSources)

Method Detail

### unmarshal

    public JaxbRoot unmarshal(InputStream stream,
                              Origin origin)

### unmarshal

    public JaxbRoot unmarshal(Document document,
                              Origin origin)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.